// ID:key, Name:名字, Type:类型, ParamID:参数, OutWeight:出鱼权值, OutMaxCount:最大数量, RouteGroup:路径分组, GroupID:分组, GroupMaxFish:分组最大鱼数

export default class Fish_PirateOutFishCFG {
  private static data =
      {"5":{"ID":5,"Name":"中鱼","Type":1,"ParamID":5,"OutWeight":10,"OutMaxCount":100,"RouteGroup":2,"GroupID":1,"GroupMaxFish":100}

      ,"25":{"ID":25,"Name":"连坐","Type":1,"ParamID":28,"OutWeight":1,"OutMaxCount":1,"RouteGroup":3,"GroupID":2,"GroupMaxFish":1}

      }// ID:key, Name:名字, Type:类型, ParamID:参数, OutWeight:出鱼权值, OutMaxCount:最大数量, RouteGroup:路径分组, GroupID:分组, GroupMaxFish:分组最大鱼数


    static getData(key: any): any {
        if (key == null || key == undefined)
            return null;
        return this.data[key];
    }

    static getAllData(): any {
        return this.data;
    }

}